<template>
 <div>
   <h1 class="mb-6">What effect, if any, has your ED had on your relationships?</h1>
   <div class="space-y-3">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        v-model="selected"
        :input-value="choice"
      >
        {{ choice }}
      </radio-input>
   </div>
 </div>
</template>

<script>
import RadioInput from "@/components/inputs/RadioInput";
import {answersMixin} from "@/utils/mixins";
export default {
  mixins: [answersMixin],
  name: "YourHealth1",
  components: {RadioInput},
  watch: {
    selected(newVal) {
      if (newVal) {
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_1')
        this.$emit('nextStage')
      }
    }
  },
  data() {
    return {
      selected: null,
      choices: [
        'Little or no effect',
        'Moderate effect',
        'Large effect',
      ]
    }
  }
}
</script>

<style scoped>

</style>
